<?php
/* name : Group Notification

	based on Abdul
	author: team1/3
*/

	global $html,$params,$database,$config,$ut,$plugin_ar;

	if (!isset($config)) { die(); }

	draw_info();
	
	$params['rendering'] = false;


function draw_info()
{
	global $params, $ut, $html, $database, $plugin_ar, $p_circle, $config;
	
	$page_ar = &$params['page'];
	$p_page = $page_ar['id'];

	if (!check_rights()) {
		snippet_breadcrumb($id, 'error');
		$html['article'][] = "<p>Login error</p>";
		return;
	}

	if (empty($params['folder-systag']) && !isset($params['circle']['meta']['folder_systag'])) {
$buff = <<<EOT
		<div style = 'background-color: #FFD61D;border: 3px solid #585858;'>
			<h2 style='margin: 10px;'>ERROR : folder-systag option</h2>
			<div style = 'padding: 0 0 10px 10px;'>
				<p>Please check [site settings] - [option1] - folder-systag option</p>
			</div>
		</div>
EOT;
		$html['article'][] = frame_renderer($buff);
	}

	if (isset($_GET['mode']) && $_GET['mode'] == 'edit') {
		// 編集
		provide_edit_module();
		unset($params['breadcrumb']);
		snippet_breadcrumb($p_page, 'Page Edit');
		$buff = page_edit_renderer($page_ar);
		$html['article'][] = frame_renderer($buff);
		return;
	}

	if (!isset($html['head']['notification-unit'])) {
$html['css']['notification-unit'] = <<<EOT
		<style>
			.info-panel {
				background-color: rgba(179, 179, 179, 0.28);
				padding: 10px;
				margin-top: 10px;
			}
			.info-panel p {
				margin:0;
				padding:0;
				line-height:160%;
			}
			.info-panel img {
				vertical-align: bottom;
				width: 16px;
			}
			.info-panel p span {
				font-size: 10px;
			}
			.info-panel .unread {
				font-weight: bold;
				background-color: red;
				border-radius: 20px;
				color: #fff;
				padding: 0px 7px 2px 7px;
				font-size: 50%;
			}
			.info-panel .title {
				margin: 0 0 10px 0;
				padding: 5px;
				background-color: #c0c0c0;
				font-weight: bold;
				font-size: 110%;
			}
		</style>
EOT;
	}

	// 通常表示
	if (!$page_ar['title']) {
		$page_ar['title'] = "Abdul notification center";
	}
	snippet_breadcrumb($page_ar['link'], $page_ar['title']);
	$html['article'][] = frame_renderer(body_renderer($page_ar));	// 通常ページ部分

	//会員制ページの承認依頼
	$buff = '';
	$ar = $database->sql_select_all("select id,link from ".DBX."user_log where type=? and status=2 and circle=?", ACCCTRL_ID, $p_circle);
	if ($ar) {
		$ico = "<img src='{$params['circle']['files_url']}plugin/abdul/app.png' style='vertical-align: top;' />";
		foreach ($ar as $v) {
			if (read_pagedata($v['link'],$p)) {
				if ($p['user'] == $_SESSION['login_id']) {
$buff .=  <<<EOT
					<p>$ico <a href='{$ut->link($v['link'])}'>{$p['title']}</a>
					</p>
EOT;
				}
			}
		}
	}
	if ($buff) {
		$html['article'][] = "<div class='info-panel'><p class='title'>Approval request </p>{$buff}</div>";
	}

	//Todo
	$buff = '';
	//$ar = $database->sql_select_all("select id,link,date from ".DBX."user_log 
	//where type=? and circle=? and data='' order by date limit 10", BBS2_ID, $p_circle);
	$t1 = DBX.'data_items';
	$sql = array();
	$sql[] = "select 
			t1.id as id, t1.type as type, t1.metadata as metadata
			, t1.title as title, t1.mode as mode, t1.user as user, t1.date as date
		from data_items as t1
		left join ".DBX."data_items as t2 on ".DBX."t2.link = t1.id 
		";
	$sql[] = array(
		"where ".DBX."t2.block_type=5 and ".DBX."t1.circle=? group by t1.id order by ".DBX."t2.date  limit 10", $p_circle
	);
	$ar = $database->sql_select_all($sql);

	if ($ar) {
		foreach ($ar as $v) {
			$ico = $ut->icon('text2',"width='16'");
			if ($v['type'] == PAGE_FOLDER_ID) {
				$ico = $ut->icon('folder',"width='16'");
			}
			$m = unserialize64($v['metadata']);
			$users = false;
			if (isset($m['default_users'])) {
				$users = $m['default_users'];
			}
			if (isset($m['users'])) {
				$users = $m['users'];
			}
			if ($users) {
				if (!isset($users[$_SESSION['login_id']])) {
					continue;
				}
				if (!$users[$_SESSION['login_id']]) {
					$ico = "<span class='unread'>new</span>";
				}
			}
$buff .=  <<<EOT
			<p>$ico <a href='{$ut->link($v['id'])}'>{$v['title']}</a> <span>({$v['date']})</span>
			</p>
EOT;
		}
	}
	if ($buff) {
		$html['article'][] = "<div class='info-panel'><p class='title'>Todo</p>{$buff}</div>";
	}

	//BBSの書き込み
	$buff = '';
	$t1 = DBX.'data_items';
	$sql = array();
	$sql[] = "select 
			$t1.id as id, $t1.type as type, $t1.metadata as metadata
			, $t1.title as title, $t1.mode as mode, $t1.user as user, $t1.date as date
		from $t1
		left join ".DBX."user_log on ".DBX."user_log.link = $t1.id 
		";
	$sql[] = array(
		"where ".DBX."user_log.type=? and ".DBX."user_log.circle=? group by $t1.id order by ".DBX."user_log.date  limit 10", BBS2_ID, $p_circle
	);
	$ar = $database->sql_select_all($sql);

	if ($ar) {
		foreach ($ar as $v) {
			$ico = "<img src='{$params['circle']['files_url']}plugin/abdul/bbs.png' style='vertical-align: top;' />";
			$m = unserialize64($v['metadata']);
			$users = false;
			if (isset($m['default_users'])) {
				$users = $m['default_users'];
			}
			if (isset($m['users'])) {
				$users = $m['users'];
			}
			if ($users) {
				if (!isset($users[$_SESSION['login_id']])) {
					continue;
				}
				if (!$users[$_SESSION['login_id']]) {
					$ico = "<span class='unread'>new</span>";
				}
			}
$buff .=  <<<EOT
			<p>$ico <a href='{$ut->link($v['id'])}'>{$v['title']}</a> <span>({$v['date']})</span>
			</p>
EOT;
		}
	}
	if ($buff) {
		$html['article'][] = "<div class='info-panel'><p class='title'>BBS write</p>{$buff}</div>";
	}

	// メッセージ表示
	$buff = '';
	$limit = 30;
	$sql = "select id,type,metadata,title,mode,user,date from ".DBX."data_items where tag like ? and circle=? order by mod_date desc limit $limit";
	$ar = $database->sql_select_all($sql, "%@gms%&{$_SESSION['login_id']}&%", $p_circle);

	foreach ($ar as $v) {
		$ico = $ut->icon('ok');
		if ($v['type'] == PAGE_FOLDER_ID) {
			$ico = $ut->icon('folder',"width='16'");
		}
		$m = unserialize64($v['metadata']);
		if ($v['type'] != PAGE_FOLDER_ID) {
			if ($v['user'] != $_SESSION['login_id']) {
				if (!isset($m['users'][$_SESSION['login_id']])) {
					continue;
				}
				if (!$m['users'][$_SESSION['login_id']]) {
					$ico = "<span class='unread'>new</span>";
				}
			} else {
				if (!$m['users'][$_SESSION['login_id']]) {
					$ico = "<span class='unread'>new</span>";
				} else {
					foreach ($m['users'] as $vv) {
						if (!$vv) {
							$ico = $ut->icon('ng');
							break;
						}
					}
				}
			}
		} else {
			if (!empty($m['default_users']) && count($m['default_users']) > 0) {
				if ($v['user'] != $_SESSION['login_id'] && !isset($m['default_users'][$_SESSION['login_id']])) {
					if ($mode == 'gp_mess') {
						continue;
					}
				}
				$ico = $ut->icon('folder2',"width='16'");
			}
		}
		$t = $v['title'];
		if (!$t) { $t = '...'; }
		$u = $ut->link($v['id']);
		if ($v['mode'] == 0) {
			if (!check_rights('edit') && isset($_SESSION['login_id']) && $v['user'] != $_SESSION['login_id']) { continue; }
			$t = $t.$ut->icon('lock','width="16"');
		}
		$d = substr($v['date'],0,10);
$buff .= <<<EOT
		<p id='plugin_page_folder{$v['id']}' >
			{$ico} <a href='{$ut->link($v['id'])}'>{$t}</a> <span class='date'>({$d})</span>
		</p>
EOT;

	}
	if ($buff) {
		$html['article'][] = "<div class='info-panel'><p class='title'>Group page/mess</p>{$buff}</div>";
	}
	
	//最近追加されたページ
	$limit = 10;
	$buff = '';
$buff .=  <<<EOT
	<div class='info-panel'><p class='title'>Recently Published</p>
EOT;
	$sql = array();
	$sql[] = "select id,type,title,mode,user,date,mod_date,metadata from ".DBX."data_items ";
	$sql[] = array(" where circle=? and type <>? and block_type <> 0 and block_type <> 5 and block_type < 19  ",$p_circle,HIDDEN_ID);
	$sql[] = array(" and (mode=1 or (mode=0 and user={$_SESSION['login_id']})) ");
	$sql[] = array(" and mod_date > {$ut->sql_timestamp(-60*60*24*10)} ");
	$sql[] = array(" order by mod_date desc limit $limit ");

	$ar = $database->sql_select_all($sql);
	if ($ar) {
		foreach ($ar as $v) {
			$m = unserialize64($v['metadata']);
			$ico = "<img src='{$params['circle']['files_url']}plugin/abdul/text.png' />";
			if ($v['type'] == PAGE_FOLDER_ID) {
				$ico = $ut->icon('folder',"width='16'");
			}
			if (!empty($m['default_users']) && !isset($m['default_users'][$_SESSION['login_id']])) {
				continue;
			}
			if (!empty($m['users']) && !isset($m['users'][$_SESSION['login_id']])) {
				continue;
			}
			$d = substr($v['mod_date'],0,10);
$buff .=  <<<EOT
			<p>$ico 
				<a href='{$ut->link($v['id'])}'>{$ut->check($v['title'],$v['title'],'...')} 
				</a>
				<span>({$d})</span>
			</p>
EOT;
		}
	}
$buff .=  <<<EOT
	</div>
EOT;

	if (!$buff) {
		$buff = "- no item";
	}

	$html['article'][] = $buff;

	//インナーページ
	$html['article'][] = innerpage_renderer($page_ar['id']);

}


?>